Bug 798681 - Review Request: python-pyotp - Python One Time Password library
Review Request: python-pyotp - Python One Time Password library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 10:03 EST by Konstantin Ryabitsev
Modified: 2012-03-24 15:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-pyotp-1.3.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2012-02-29 10:03:53 EST
Spec URL: http://fedorapeople.org/~icon/f/python-pyotp.spec
SRPM URL: http://fedorapeople.org/~icon/f/python-pyotp-1.3.1-1.fc16.src.rpm
Description:
A Python library for generating one time passwords according to 
RFC 4226 and the HOTP RFC.
Comment 1 Kevin Fenzi 2012-03-01 13:40:33 EST
I'd be happy to review this. Look for a full review hopefully later today.
Comment 2 Kevin Fenzi 2012-03-01 16:09:36 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
7c45ca9a13f863caa1e8146e07d2b8b2  pyotp-1.3.1.tar.gz
7c45ca9a13f863caa1e8146e07d2b8b2  pyotp-1.3.1.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
See below - Package has a correct %clean section. 
See below - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. You may need to add %clean and buildroot for EPEL branches. 
They are of course not required for Fedora anymore. 

2. The PKG-INFO says: 
License: UNKNOWN
Might ask upstream to fix that. 

I see no blockers here, so this package is APPROVED.
Comment 3 Konstantin Ryabitsev 2012-03-06 14:05:50 EST
Nice! Thanks, Kevin.

New Package SCM Request
=======================
Package Name: python-pyotp
Short Description: A Python library for generating one time passwords
Owners: icon
Branches: f16, f17, el5, el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-03-06 14:23:27 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-06 16:04:33 EST
python-pyotp-1.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyotp-1.3.1-1.el6
Comment 6 Fedora Update System 2012-03-06 16:04:42 EST
python-pyotp-1.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-pyotp-1.3.1-1.fc16
Comment 7 Fedora Update System 2012-03-06 16:04:57 EST
python-pyotp-1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pyotp-1.3.1-1.fc17
Comment 8 Fedora Update System 2012-03-07 02:19:52 EST
python-pyotp-1.3.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-03-16 17:18:23 EDT
python-pyotp-1.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-03-17 20:00:56 EDT
python-pyotp-1.3.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-03-24 15:10:37 EDT
python-pyotp-1.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.